﻿using System;
namespace CS12_3
{
    class Program
    {
        static void Main(string[] args)
        {
            Sample x = new Sample();
            x.ValueChanged += (s, e) => Console.Write("!?");
            Console.ReadLine();
            x.Value = 1;
            Console.ReadLine();
        }
    }
    class Sample
    {
        public event EventHandler ValueChanged;
        private int _value = 0;
        public int Value
        {
            get{ return _value; }
            set
            {
                _value = value;
                if (ValueChanged == null) return;
                ValueChanged(this, EventArgs.Empty);
            }
        }
    }
} 
